Package org.apache.sling.pipes

## Interface CommandExecutor

    public interface CommandExecutor

### Method Summary

All Methods Instance Methods Abstract Methods
`ExecutionResult` `execute​(org.apache.sling.api.resource.ResourceResolver resolver, String path, String... options)` internal execution command handler
`String` `help()`
`PipeBuilder` `parse​(org.apache.sling.api.resource.ResourceResolver resolver, String... commands)`

### Method Detail

#### execute

    ExecutionResult execute​(org.apache.sling.api.resource.ResourceResolver resolver,
                            String path,
                            String... options)

internal execution command handler

Parameters:
  `resolver` - resolver with which pipe will be executed
  `path` - pipe path to execute
  `options` - different options tokens
Returns:
  Execution results

#### parse

    PipeBuilder parse​(org.apache.sling.api.resource.ResourceResolver resolver,
                      String... commands)
               throws InvocationTargetException,
                      IllegalAccessException

Parameters:
  `resolver` - resource resolver with which pipe will build the pipe
  `commands` - list of commands for building the pipe
Returns:
  PipeBuilder instance (that can be used to finalize the command)
Throws:
  `InvocationTargetException` - can happen in case the mapping with PB api went wrong
  `IllegalAccessException` - can happen in case the mapping with PB api went wrong

#### help

    String help()

Returns:
  help string